Skip to content
payrocdevelopers

List funding recipients

Browse API reference

GET/funding-recipientslistFundingRecipients

Use this method to return a paginated list of funding recipients linked to your account.

Note: If you want to view the details of a specific funding recipient and you have its recipientId, use our Retrieve Funding Recipient method.

Our gateway returns the following information about each funding recipient in the list:

  • Tax ID and Doing Business As (DBA) name.
  • Address and contact details.
  • Funding accounts linked to the funding recipient.

For each funding recipient, we also return the recipientId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a paginated list of all funding recipients.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 31 of 52 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]
    An array of funding recipients
    • addressobjectrequired
      Polymorphic object that contains address information for a funding recipient.
      • addressobject
        Object that contains information about the address.+7 more fields at deeper levels — see the full spec
    • charityIdstring
      Government identifier of the charity.
    • contactMethodsobject[]required
      Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number≥ 1 items
      • emailobject
        +2 more fields at deeper levels — see the full spec
      • phoneobject
        +2 more fields at deeper levels — see the full spec
      • mobileobject
        +2 more fields at deeper levels — see the full spec
      • faxobject
        +2 more fields at deeper levels — see the full spec
    • createdDatestringdate-time
      Date the funding recipient was created.
    • doingBusinessAsstringrequired
      Legal name of the business or organization.
    • fundingAccountsobject[]required
      Array of fundingAccount objects associated with the funding recipient.
      • fundingAccountIdinteger
        Unique identifier of the funding account.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • statusstring
        Status of the funding account.approvedrejectedpendinghold
    • lastModifiedDatestringdate-time
      Date the funding recipient was last modified.
    • metadataobject
      Metadata object you can use to include custom data with your request.
    • ownersobject[]required
      Array of owner objects associated with the funding recipient.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • ownerIdinteger
        Unique identifier of the owner.
    • recipientIdinteger
      Unique identifier that we assigned to the funding recipient.
    • recipientTypestringrequired
      Type or legal structure of the funding recipient.privateCorporationpublicCorporationnonProfitgovernmentprivateLlcpublicLlcprivatePartnershippublicPartnership+1 more
    • statusstring
      Indicates if we have approved the funding recipient.approvedrejectedpending
    • taxIdstringrequired
      Employer identification number (EIN) or Social Security number (SSN).

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer